function which_lps = LPwchlps(alg)
%LPWCHLPS    Returns LP-solver ID for given algorithm.
%   which_lps = LPwchlps(alg) returns an identifier for the LP-solver used
%   by this algorithm.

%   MATPOWER Version 1.0.1
%   by Ray Zimmerman, PSERC Cornell    9/19/97
%   Copyright (c) 1997 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/ for more info.

%% define the identifiers
[LPS_LP, LPS_BPMPD, LPS_LPSOLVE, LPS_LOQO, LPS_SOLQPS] = idx_lps;

%% pick the correct one
if alg == 220 | alg == 240
	which_lps = LPS_LP;
elseif alg == 221 | alg == 241
	which_lps = LPS_BPMPD;
elseif alg == 222 | alg == 242
	which_lps = LPS_LPSOLVE;
elseif alg == 223 | alg == 243
	which_lps = LPS_LOQO;
elseif alg == 224 | alg == 244
	which_lps = LPS_SOLQPS;
end

return;
